# Class RcsbLoadParamsProvider

#### Hierarchy

- RcsbLoadParamsProvider

#### Implements

- LoadParamsProviderInterface<{
  entryId: string;
  instanceId: string;
  }, LoadMolstarInterface<AlignmentTrajectoryParamsType, LoadMolstarReturnType>>

- Defined in src/examples/alignment-provider/providers/ExternalAlignmentProvider.ts:1725

#####
Index

### Constructors

constructor

### Properties

alignment
alignmentReference
transformProvider

### Methods

get

## Constructors

### constructor

- new RcsbLoadParamsProvider(alignment, alignmentReference): RcsbLoadParamsProvider

- #### Parameters

  - ##### alignment: StructureAlignmentResponse

  - ##### alignmentReference: AlignmentReference

  #### Returns RcsbLoadParamsProvider

  - Defined in src/examples/alignment-provider/providers/ExternalAlignmentProvider.ts:1730

## Properties

### `Private` `Readonly` alignment

alignment: StructureAlignmentResponse

- Defined in src/examples/alignment-provider/providers/ExternalAlignmentProvider.ts:1727

### `Private` `Readonly` alignmentReference

alignmentReference: AlignmentReference

- Defined in src/examples/alignment-provider/providers/ExternalAlignmentProvider.ts:1729

### `Private` `Readonly` transformProvider

transformProvider: RcsbStructuralTransformProvider

- Defined in src/examples/alignment-provider/providers/ExternalAlignmentProvider.ts:1728

## Methods

### get

- get(pdb): LoadMolstarInterface<AlignmentTrajectoryParamsType, LoadMolstarReturnType>

- #### Parameters

  - ##### pdb: {
    entryId: string;
    instanceId: string;
    }

    - ##### entryId: string

    - ##### instanceId: string

  #### Returns LoadMolstarInterface<AlignmentTrajectoryParamsType, LoadMolstarReturnType>

  Implementation of LoadParamsProviderInterface.get

  - Defined in src/examples/alignment-provider/providers/ExternalAlignmentProvider.ts:1736

Generated using TypeDoc